package com.isu.gaswellwatch.dto;

import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 设备对象 Device
 * 
 * @author scwsl
 * @date 2024-11-17
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class DeviceCreateDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    /** 设备类型 */
    @NotNull(message = "设备类型不能为空")
    private Long deviceType;

    /** 设备编号 */
    @NotBlank(message = "设备编号不能为空")
    private String code;

    /** 集气站 */
    private String gasStation;

    /** 设备品牌 */
    @NotNull(message = "设备品牌不能为空")
    private Long product;

    /** 网关通讯地址 */
    @NotBlank(message = "网关通讯地址不能为空")
    private String gatewaySn;

    /** 描述 */
    private String details;

    /** 所属气井 */
    @NotNull(message = "所属气井不能为空")
    private Long gasWell;



}
